package com.engine.organization.mapper.version;

import com.engine.organization.entity.version.HrmDepartmentVersion;
import com.engine.organization.entity.version.HrmResourceVersion;
import com.engine.organization.entity.version.HrmSubCompanyVersion;
import org.apache.ibatis.annotations.Param;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/12/8
 * @Version V1.0
 **/
public interface CompanyVersionMapper {

    /**
    * 取分部版本最大记录
    */
    HrmSubCompanyVersion getMaxVersion(@Param("subComId") String subComId);

    /**
     * 新增分部版本
     */
    int insertHrmSubComVersion(HrmSubCompanyVersion hrmSubCompanyVersion);


    /**
     * 取部门版本最大记录
     */
    HrmDepartmentVersion getMaxDeptVersion(@Param("departmentid") String departmentid);


    /**
     * 新增部门版本
     */
    int insertHrmDeptVersion(HrmDepartmentVersion hrmDepartmentVersion);


    /**
     * 人员版本最大记录
     */
    HrmResourceVersion getMaxHrmVersion(@Param("getMaxHrmVersion") String getMaxHrmVersion);

    /**
     * 新增人员版本
     */
    int insertHrmResourceVersion(HrmResourceVersion hrmResourceVersion);
}
